:root{
    --green:#0e5135;
    --light:#f7f8f6;
    --dark:#222;
    --gray:#737373;
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:'Inter',sans-serif;
    background:#fff;
    color:var(--dark);
}

.container{
    width:90%;
    max-width:1400px;
    margin:auto;
}

header{
    background:#fff;
    position:sticky;
    top:0;
    z-index:1000;
    box-shadow:0 2px 15px rgba(0,0,0,.05);
}

.nav{
    height:90px;
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.hamburger{
    display:none;
    background:none;
    border:none;
    font-size:32px;
    cursor:pointer;
    color:var(--green);
}
.logo{
    display:flex;
    align-items:center;
    gap:15px;
    font-size:1.8rem;
    font-weight:600;
}

.logo img{
    height:65px;
}

nav{
    display:flex;
    gap:35px;
}

nav a{
    text-decoration:none;
    color:#333;
    font-weight:500;
}

nav a.active{
    color:var(--green);
}

.login-btn{
    text-decoration:none;
    padding:14px 24px;
    border-radius:10px;
    background:var(--green);
    color:white;
    font-weight:600;
}

.hero{
    position:relative;
    height:700px;

    background-image:url("../Pictures/grusgangen.jpg");
    background-size:cover;
    background-position:center;
}

.overlay{
    position:absolute;
    inset:0;

    background:
    linear-gradient(
        90deg,
        rgba(0,0,0,.50) 0%,
        rgba(0,0,0,.25) 45%,
        rgba(0,0,0,.08) 100%
    );
}

.hero-content{
    position:relative;
    z-index:2;

    max-width:700px;

    padding-top:120px;
    padding-left:70px;

    color:white;
}

.hero h1{
    font-size:5rem;
    line-height:1.1;
    margin-bottom:25px;
}

.hero p{
    font-size:1.3rem;
    margin-bottom:35px;
}


.hero-buttons{
    display:flex;
    gap:20px;
}

.hero-buttons a{
    text-decoration:none;
    color:#FFF;
    font-weight: 500;
  	font-size: 18px;
}
.hero-buttons a.active{
    color:var(--green);
}


.btn-primary{
    background:var(--green);
    color:white;
    text-decoration:none;
    padding:16px 28px;
    border-radius:12px;
    display:inline-block;
}

.btn-secondary{
    border:2px solid white;
    color:white;
    text-decoration:none;
    padding:14px 28px;
    border-radius:12px;
}

.features{
    margin-top:-70px;
    position:relative;
    z-index:10;
}

.cards{
    display:grid;
    grid-template-columns:repeat(5,1fr);
    gap:25px;
}

.card{
    background:white;
    padding:30px;
    border-radius:18px;
    box-shadow:0 10px 30px rgba(0,0,0,.08);
}

.icon{
    font-size:2rem;
    margin-bottom:15px;
}

.card h3{
    margin-bottom:10px;
}

.content{
    padding:60px 0;
}

.content-grid{
    display:grid;
    grid-template-columns:1.4fr 1fr 1fr;
    gap:25px;
}

.image-card img{
    width:100%;
    border-radius:18px;
}

.info-card,
.news-card{
    background:white;
    border-radius:18px;
    padding:35px;
    box-shadow:0 4px 18px rgba(0,0,0,.05);
}

.info-card h2,
.news-card h2{
    color:var(--green);
    margin-bottom:20px;
}

.news-card ul{
    list-style:none;
}

.news-card li{
    padding:15px 0;
    border-bottom:1px solid #eee;
}

.quick-links{
    padding-bottom:60px;
}

.quick-grid{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:20px;
}

.quick-grid a{
    background:white;
    padding:25px;
    border-radius:14px;
    text-decoration:none;
    color:#222;
    text-align:center;
    box-shadow:0 4px 15px rgba(0,0,0,.05);
}

footer{
    background:linear-gradient(
        90deg,
        #06351f,
        #0d5c3c
    );

    color:white;
}

.footer{
    padding:22px 0;

    display:flex;
    justify-content:space-between;
}

@media(max-width:1200px){

    .cards{
        grid-template-columns:repeat(2,1fr);
    }

    .content-grid{
        grid-template-columns:1fr;
    }

    .quick-grid{
        grid-template-columns:1fr 1fr;
    }
}

@media(max-width:768px){

    .nav{
        height:auto;
        flex-wrap:wrap;
        padding:15px 0;
    }

    .hamburger{
        display:block;
    }

    nav{
        display:none;
        flex-direction:column;
        width:100%;
        margin-top:15px;
        background:white;
    }

    nav.show{
        display:flex;
    }

    nav a{
        padding:15px;
        border-bottom:1px solid #eee;
    }

    .hero{
        height:600px;
    }

    .hero-content{
        padding:80px 20px;
    }

    .hero h1{
        font-size:2.8rem;
    }

    .cards,
    .quick-grid{
        grid-template-columns:1fr;
    }

    .footer{
        flex-direction:column;
        gap:10px;
        text-align:center;
    }
}